Bug 1288848 - allow advanced options in rules engine
allow advanced options in rules engine
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Internal Tools (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 08:55 EST by Yaniv Lavi
Modified: 2016-08-21 07:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-21 07:12:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2015-12-06 08:55:43 EST
Description of problem:
In Bugzilla search you are able to filter with advanced options like contains\regex and so on. Some field allow this currently and some do not like target milestone. To make rules simple this is needed. Please add a advanced option for all fields.
Comment 1 Jeff Fearn 2015-12-06 21:41:53 EST
I tested Custom Search on BZ 5.0 searching on Target Milestone for 
.*4.2.*, found bugs with TM like 0.14.2, 3.4.2 and 4.2.
Comment 2 Yaniv Lavi 2015-12-07 06:17:23 EST
This RFE is on rules engine, not the search. 
Search has had this for many versions, this is to allow same use in rules engine.
Comment 3 Jeff Fearn 2016-08-15 22:20:07 EDT
Hi Yaniv, when you add a new criterion one of the opt-groups is "Custom field" which seems to have every field listed and gives you the option to do a regex match. Is there a specific list of fields you need that isn't available in that part of the drop down?
Comment 4 Yaniv Lavi 2016-08-21 07:12:32 EDT
(In reply to Jeff Fearn from comment #3)
> Hi Yaniv, when you add a new criterion one of the opt-groups is "Custom
> field" which seems to have every field listed and gives you the option to do
> a regex match. Is there a specific list of fields you need that isn't
> available in that part of the drop down?

I didn't notice this. Thanks! I'll use that.

Note You need to log in before you can comment on or make changes to this bug.